cURL
curl --request GET \
--url https://api.hyra.io/activity/sessions/{workspaceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyra.io/activity/sessions/{workspaceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyra.io/activity/sessions/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"permissions": {
"self_assign_host": true,
"assign_host": true,
"self_assign_cohost": true,
"assign_cohost": true,
"assign_roles": true,
"create_report": true,
"host_quota": 123,
"cohost_quota": 123,
"host_quota_used": 123,
"cohost_quota_used": 123,
"delete_sessions": true,
"delete_adhoc_sessions": true,
"cancel_sessions": true,
"create_adhoc_sessions": true
},
"events": [
{
"_id": "<string>",
"schedule": {
"_id": "<string>",
"name": "<string>",
"public_start_offset": 123,
"public_slock_offset": 123,
"roles": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"publish_to_discord": true,
"game_link": "<string>",
"thumbnail_url": "<string>",
"game_thumbnail_url": "<string>",
"disable_cohost": true
},
"servers": [
{
"_id": "<string>",
"groups": [
{
"_id": "<string>",
"priority": 123,
"roles": [
{
"_id": "<string>",
"name": "<string>",
"user_id": "<string>"
}
],
"name": "<string>"
}
],
"created_by": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"start": "2023-11-07T05:31:56Z",
"in_progress": true,
"cancelled": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"adhoc": false,
"polyfill": [
{
"_id": "<string>",
"name": "<string>",
"roles": [
{
"_id": "<string>",
"name": "<string>"
}
],
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"host_id": "<string>",
"host": {
"exists": true,
"id": "<string>",
"username": "<string>",
"display_name": "<string>"
},
"co_host_id": "<string>",
"co_host": {
"exists": true,
"id": "<string>",
"username": "<string>",
"display_name": "<string>"
},
"subhosting": [
{
"server_id": "<string>",
"user_id": "<string>",
"user": {
"exists": true,
"id": "<string>",
"username": "<string>",
"display_name": "<string>"
}
}
]
}
]
}Sessions
Get Sessions by Day
Get sessions for given day
GET
/
activity
/
sessions
/
{workspaceId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Query Parameters
Day to get sessions for (deprecated)
Start date to get sessions for
End date to get sessions for
User ID of the attendee
⌘I